import request from "./request.js"

// 根据code获取token
export function getToken(data){
	return request("/user/getopenidtoken",data,"POST");
}

// 认证
export function toAuth(data){
	return request("/user/login",data,"POST");
}

// 首页获取公告列表
export function messageList(data){
	return request("/info/getinfos",data,"GET");
}

// 查看公告详情
export function messageInfo(data){
	return request("/info/getinfodetail",data,"GET");
}

// 获取缴费列表
export function payList(data){
	return request("/pay/lists",data,"GET");
}

// 意见反馈
export function feedBack(data){
	return request("/info/addoptions",data,"POST");
}

// 获取团队简介
export function teamInfo(){
	return request("/user/getuserteaminfo",{},"GET");
}

// 支付
export function toPay(data){
	return request("/pay/payorders",data,"POST");
}

// 确认团队
export function sureTeam(){
	return request("/user/certteam",{},"GET");
}

// 修改用户信息
export function changeUser(data){
	return request("/user/changeuserinfo",data,"POST");
}

// 获取用户信息
export function userInfo(){
	return request("/user/getuserinfo",{},"GET");
}

// 下载图片
export function downLoad(){
	return request("/user/downloadcommitbook",{},"GET");
}

// 承诺书列表
export function promiseList(data){
	return request("/user/getcommitlist",data,"GET");
}

// 退出
export function toLoginout(){
	return request("/user/userremovebinding",{},"POST");
}

// 下载承诺书
export function downBook(){
	return request("/user/downloadcommitbook",{},"GET");
}